import { JDatomConfig } from '../types/interface';
declare const JDmrClass: (size?: true | "no" | "largest" | "huge" | "large" | "normal" | "small" | "tiny" | "superTiny" | null | undefined) => any;
declare const JDmbClass: (size?: true | "no" | "largest" | "huge" | "large" | "normal" | "small" | "tiny" | "superTiny" | undefined) => any;
declare const iconSizeClass: (boxName: string, size?: "largest" | "huge" | "large" | "normal" | "small" | "tiny" | "superTiny" | "largest2" | null | undefined) => any;
declare const textColorClass: (color?: "normal" | "lightPrimary" | "darkPrimary" | "primary" | "third" | "point" | "new" | "warn" | "error" | "black" | "white" | "grey1" | "grey2" | "grey3" | "grey4" | "grey5" | "blue" | "positive" | null | undefined) => any;
declare const bgColorClass: (color?: "normal" | "lightPrimary" | "darkPrimary" | "primary" | "third" | "point" | "new" | "warn" | "error" | "black" | "white" | "grey1" | "grey2" | "grey3" | "grey4" | "grey5" | "blue" | "positive" | null | undefined) => any;
declare const borderClass: (color?: "normal" | "lightPrimary" | "darkPrimary" | "primary" | "third" | "point" | "new" | "warn" | "error" | "black" | "white" | "grey1" | "grey2" | "grey3" | "grey4" | "grey5" | "blue" | "positive" | null | undefined) => any;
declare const textAlignClass: (align?: "left" | "right" | "center" | undefined) => any;
declare const textSizeClass: (size?: "large" | "normal" | "small" | "tiny" | "superTiny" | "h1" | "h2" | "h3" | "h4" | "h5" | "h6" | undefined) => any;
declare const mbClass: (boxName: string, size?: true | "no" | "largest" | "huge" | "large" | "normal" | "small" | "tiny" | "superTiny" | undefined) => any;
declare const JDatomClasses: (configs: JDatomConfig) => any;
export { JDatomClasses, iconSizeClass, JDmbClass, JDmrClass, mbClass, borderClass, bgColorClass, textAlignClass, textColorClass, textSizeClass, };
